_G.Guardian = _G.Guardian or {}
Guardian._path = ModPath
Guardian._locale = ModPath .. "loc/"

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_GuadianLM",
	function(loc)
		local current_language = nil
		local supported_languages = {"english"}
		for _, v in ipairs(supported_languages) do
			if Idstring(v):key() == SystemInfo:language():key() then
				current_language = v
			end
		end
		
		if current_language then
			local _path = Guardian._locale .. current_language .. ".txt"
			if io.file_is_readable(_path) then
				loc:load_localization_file(_path)
				loc:load_localization_file(Guardian._locale .. "en.txt", false)
			else
				loc:load_localization_file(Guardian._locale .. "en.txt")
			end
		end
	end
)